.btn-primary {
    background-color: #333333;
    border-color: #333333;
}
.btn-primary:hover {
    background-color: #111111;
    border-color: #000000;
    color: inherit !important;
}
.btn-primary:not(:disabled):not(.disabled).active, .btn-primary:not(:disabled):not(.disabled):active, .btn-primary:not(:disabled):not(.disabled).active:hover, .btn-primary:not(:disabled):not(.disabled):active:hover {
    background-color: #111111;
    border-color: #000000;
    box-shadow: 0 0 0 0.2rem rgba(0, 0, 0, 0.3);
}
.btn-primary:not(:disabled):not(.disabled):focus, .btn-primary:not(:disabled):not(.disabled).focus {
    box-shadow: 0 0 0 0.2rem rgba(0, 0, 0, 0.3);
    outline: none !important;
}
.btn-primary:not(:disabled):not(.disabled):active:focus, .btn-primary.active:not(:disabled):not(.disabled):focus {
    box-shadow: 0 0 0 0.2rem rgba(0, 0, 0, 0.3);
}